
Redmine - Defect #4456

Wiki pages in search results are referenced by project number, not by project identifier.

2009-12-21 03:42 - Xuân Baldauf

Status: Closed Start date: 2009-12-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Even when redmine is configured to use project identifiers instead of project numbers in URLs for projects (and all sub-resources of a

project), if a Wiki page is part of a search result, then this Wiki page's URL is a URL based on the project number, not the project

identifier.

For example, consider 

http://www.redmine.org/search/index/redmine?q=PluginGems&scope=&all_words=1&wiki_pages=1&submit=Submit . The result

titled "Wiki: PluginGems" has the URL http://www.redmine.org/wiki/1/PluginGems while it should have the URL 

http://www.redmine.org/wiki/redmine/PluginGems . Note that other redmine installations also yield URLs similar to

http://www.redmine.org/projects/1/wiki/PluginGems while they should yield URLs similar to 

http://www.redmine.org/projects/redmine/wiki/PluginGems.

Associated revisions

Revision 3231 - 2009-12-23 21:01 - Jean-Philippe Lang

Fixed: wiki pages in search results are referenced by project number, not by project identifier (#4456).

History

#1 - 2009-12-23 20:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r3231.
